# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python2_7 python3_6 python3_7 python3_8 )
inherit distutils-r1

DESCRIPTION="Accurately separate the TLD from the registered domain and subdomains of a URL."
HOMEPAGE="https://github.com/john-kurkowski/tldextract"
GITHUB_USER="john-kurkowski"
GITHUB_TAG="${PV}"
SRC_URI="https://github.com/${GITHUB_USER}/${PN}/archive/${GITHUB_TAG}.tar.gz -> ${P}.tar.gz"


LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""

RDEPEND="dev-python/idna[${PYTHON_USEDEP}]
		>dev-python/requests-file-1.4.0[${PYTHON_USEDEP}]
		>dev-python/requests-2.1.0[${PYTHON_USEDEP}]
"
DEPEND=""
BDEPEND=""
